/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is TabSST.
 *
 * The Initial Developer of the Original Code is
 * Devon Jensen.
 *
 * Portions created by the Initial Developer are Copyright (C) 2005
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s): Devon Jensen <velcrospud@hotmail.com>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

window.addEventListener("load", sst_init, true);

function sst_init() {
	
	if(!gBrowser) return;
	window.removeEventListener("load", sst_init, true);
	gBrowser.mTabContainer.addEventListener("DOMMouseScroll", sst_scrollTab, false);
	document.getElementById("navigator-toolbox").	addEventListener("DOMMouseScroll", sst_scrollTab, false);

	sst_resetTabs();
}

function sst_scrollTab(event) {
	window.top._content.scrollByLines(event.detail);
}

function sst_resetTabs() {
	
	var pref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

	var showTooltip = true;  //default
	var maxTabSize = 250;    //default
	try{
		showTooltip = pref.getBoolPref("tabSST.showTooltip");
		maxTabSize = pref.getIntPref("tabSST.tabMaxWidth");
	} catch(e){}
	
	if(!showTooltip) gBrowser.showTooltip = "notooltip";
	else gBrowser.showTooltip = "_child";
	
	gBrowser.tabSize = maxTabSize;
	gBrowser.resizeFirstTab();
}